<< rc2poly | FOSSEE_Signal_Processing_Toolbox | rcosdesign >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rceps

# rceps

Real cepstrum and minimum-phase reconstruction

### Description

Real cepstrum and minimum-phase reconstruction If called with two output arguments, the minimum phase reconstruction of the signal x is returned in ym.Calling Sequence [y,ym] = rceps(x)

### Parameters

x :

  A vector or a Matirx

y :

  Real cepstrum

ym :

  Minimum-phase reconstruction

### Examples

    // create a 45 Hz sine wave sampled at 100 Hz.
    t = 0:0.01:1.27;
    s1 = sin(2*%pi*45*t);
    s2 = s1 + 0.5*[zeros(1,20) s1(1:108)]; //Add an echo of the signal, with half the amplitude, 0.2 seconds after the beginning of the signal.
    c = rceps(s2); // real cepstrum of signal
    plot(t,c)

### See also

- ifft1 — Compute the inverse discrete Fourier transform.

Report an issue
<< rc2poly | FOSSEE_Signal_Processing_Toolbox | rcosdesign >>